"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduxFlow = void 0;
var fs_extra_1 = require("fs-extra");
var createSagas_1 = require("./templates/createSagas");
var createActions_1 = require("./templates/createActions");
var createConstants_1 = require("./templates/createConstants");
var createDeclarations_1 = require("./templates/createDeclarations");
var createApi_1 = require("./templates/createApi");
var createReducers_1 = require("./templates/createReducers");
var createWatcher_1 = require("./templates/createWatcher");
var splitStringUtility_1 = require("./templates/splitStringUtility");
var addReducerToStore_1 = require("../utils/addReducerToStore");
var addReducerToCombineReducers_1 = require("../utils/addReducerToCombineReducers");
var addWatcherGeneric_1 = require("../utils/addWatcherToReduxFlow/addWatcherGeneric");
var addWatcherSingle_1 = require("../utils/addWatcherToReduxFlow/addWatcherSingle");
var reduxFlow = function (name, reducer, type) { return __awaiter(void 0, void 0, void 0, function () {
    function writeFileErrorHandler(err) {
        if (err)
            throw err;
    }
    var _a, operation, flowName, nameUpper, dirPath, dirWatcher, dirNewWatcher;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                _a = splitStringUtility_1.splitString(name), operation = _a[0], flowName = _a[1];
                if (!flowName)
                    throw new Error('You must include a component name.');
                nameUpper = flowName.charAt(0).toUpperCase() + flowName.slice(1);
                dirPath = "./src/@sdk/redux-modules/" + nameUpper + "/" + operation.toLowerCase();
                dirWatcher = "./src/@sdk/redux-modules/" + nameUpper;
                dirNewWatcher = dirWatcher + "/watcher.ts";
                return [4, fs_extra_1.pathExists(dirPath)];
            case 1:
                if (!!(_b.sent())) return [3, 3];
                return [4, fs_extra_1.mkdirs(dirPath)];
            case 2:
                _b.sent();
                fs_extra_1.writeFile(dirPath + "/sagas.ts", createSagas_1.createSagas(flowName, operation), writeFileErrorHandler);
                fs_extra_1.writeFile(dirPath + "/actions.ts", createActions_1.createActions(flowName, operation), writeFileErrorHandler);
                fs_extra_1.writeFile(dirPath + "/constants.ts", createConstants_1.createConstants(flowName, operation), writeFileErrorHandler);
                fs_extra_1.writeFile(dirPath + "/declarations.ts", createDeclarations_1.createDeclarations(flowName), writeFileErrorHandler);
                fs_extra_1.writeFile(dirPath + "/api.ts", createApi_1.createApi(flowName, operation), writeFileErrorHandler);
                if (!fs_extra_1.pathExistsSync(dirNewWatcher))
                    fs_extra_1.writeFileSync(dirWatcher + "/watcher.ts", createWatcher_1.createWatcher(flowName, operation));
                _b.label = 3;
            case 3:
                addWatcherSingle_1.addWatcherSingle(flowName, operation);
                if (reducer === 'yes') {
                    fs_extra_1.writeFileSync(dirPath + "/reducers.ts", createReducers_1.createReducers(name));
                    addWatcherGeneric_1.addWatcherToReduxFlow(flowName, operation);
                    addReducerToCombineReducers_1.addReducerToCombineReducers(flowName, type, operation.toLowerCase());
                    addReducerToStore_1.addReducerToStore(flowName);
                }
                return [2];
        }
    });
}); };
exports.reduxFlow = reduxFlow;
//# sourceMappingURL=index.js.map