"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSagas = void 0;
var createSagas = function (name, operation) {
    var formattedOperation = operation.charAt(0).toUpperCase() + operation.slice(1);
    var formattedName = name.charAt(0).toUpperCase() + name.slice(1);
    return "\nimport { call, put } from 'redux-saga/effects';\nimport {\n  api" + formattedName + formattedOperation + ",\n} from \"./api\";\nimport {\n  action" + formattedName + formattedOperation + "Failure,\n  action" + formattedName + formattedOperation + "Request,\n  action" + formattedName + formattedOperation + "Success,\n} from './actions';\n\nexport function* saga" + formattedName + formattedOperation + "(action: ReturnType<typeof action" + formattedName + formattedOperation + "Request>): Generator {\n  try {\n    const payload: any = yield call(api" + formattedName + formattedOperation + ", action.payload);\n    yield put(action" + formattedName + formattedOperation + "Success(payload));\n  } \n  catch (error) {\n    yield put(action" + formattedName + formattedOperation + "Failure(error));\n  }\n}";
};
exports.createSagas = createSagas;
//# sourceMappingURL=createSagas.js.map