"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.packages = void 0;
var fs_extra_1 = __importDefault(require("fs-extra"));
var utilities_1 = require("../../utilities");
var envOption_1 = require("./envOption");
var packages = function (packages, options) {
    packages.map(function (name) {
        var localDir = __dirname + "/templates/" + name;
        var dir = "./src/@packages/" + name;
        if (name === 'firebase') {
            var envPath = './.env';
            fs_extra_1.default.writeFile(envPath, envOption_1.envOption(options), utilities_1.throwIfError);
        }
        if (fs_extra_1.default.pathExists(dir))
            console.error("\u001B[31m", "A component " + name + " already exists.");
        if (fs_extra_1.default.pathExists(localDir))
            return fs_extra_1.default.copy(localDir, dir).catch(function (err) { return utilities_1.throwIfError(err); });
    });
};
exports.packages = packages;
//# sourceMappingURL=index.js.map