"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPackageJSON = void 0;
var createPackageJSON = function (name) { return "\n  {\n  \"name\": \"" + name + "\",\n  \"version\": \"0.1.0\",\n  \"private\": true,\n  \"engines\": {\n    \"npm\": \">=6.4.1\",\n    \"node\": \">=10.13.0\"\n  },\n  \"dependencies\": {\n    \"connected-react-router\": \"^6.0.0\",\n    \"fast-memoize\": \"^2.5.2\",\n    \"hedron\": \"^0.7.1\",\n    \"html-webpack-plugin\": \"^4.5.2\",\n    \"react-dom\": \"^17.0.2\",\n    \"react-redux\": \"^7.2.2\",\n    \"react-router-dom\": \"^5.2.0\",\n    \"react-scripts\": \"4.0.3\",\n    \"react-transition-group\": \"^4.4.2\",\n    \"react-image\": \"^4.0.3\",\n    \"react-quick-pinch-zoom\": \"^4.0.2\",\n    \"react\": \"^17.0.2\",\n    \"react-datepicker\": \"^3.8.0\",\n    \"redux-saga\": \"^1.1.3\",\n    \"redux\": \"^4.1.0\",\n    \"reselect\": \"^4.0.0\",\n    \"styled-components\": \"^5.2.3\",\n    \"web-vitals\": \"^1.0.1\"\n  },\n  \"scripts\": {\n    \"build:app\": \"react-scripts build\",\n    \"build:storybook\": \"build-storybook -s public\",\n    \"cypress\": \"./node_modules/.bin/cypress open-ct\",\n    \"prettier\": \"prettier --write src/**/*.{ts,tsx} src/**/**/*.{ts,tsx} src/**/**/**/*.{ts,tsx} src/**/**/**/**/*.{ts,tsx} src/**/**/**/**/**/*.{ts,tsx}\",\n    \"start:build\": \"npm run build:app && serve -s build\",\n    \"start:dev\": \"react-scripts start\",\n    \"start:storybook\": \"start-storybook -p 6006 -s public\",\n    \"test:commit-msg\": \"commitlint -env HUSKY_GIT_PARAMS\",\n    \"test:eslint\": \"eslint --ext .ts,.tsx ./src\",\n    \"test:format\": \"npm run test:lint && npm run test:eslint\",\n    \"test:lint\": \"tsc --noEmit\",\n    \"upgrade:check\": \"npm-check\",\n    \"upgrade:interactive\": \"npm-check --update\"\n  },\n  \"eslintConfig\": {\n    \"extends\": [\n      \"react-app\",\n      \"react-app/jest\"\n    ]\n  },\n  \"browserslist\": {\n    \"production\": [\n      \">0.2%\",\n      \"not dead\",\n      \"not op_mini all\"\n    ],\n    \"development\": [\n      \"last 1 chrome version\",\n      \"last 1 firefox version\",\n      \"last 1 safari version\"\n    ]\n  },\n  \"devDependencies\": {\n    \"@commitlint/cli\": \"^11.0.0\",\n    \"@commitlint/config-conventional\": \"^11.0.0\",\n    \"@cypress/react\": \"^5.9.1\",\n    \"@cypress/webpack-dev-server\": \"^1.3.1\",\n    \"@storybook/addon-actions\": \"^6.1.19\",\n    \"@storybook/addon-essentials\": \"^6.1.20\",\n    \"@storybook/addon-links\": \"^6.1.19\",\n    \"@storybook/node-logger\": \"^6.1.19\",\n    \"@storybook/preset-create-react-app\": \"^3.1.6\",\n    \"@storybook/react\": \"^6.1.20\",\n    \"@types/node\": \"^12.0.0\",\n    \"@types/react-dom\": \"^17.0.5\",\n    \"@types/react-redux\": \"^7.1.16\",\n    \"@types/react-router-dom\": \"^5.1.7\",\n    \"@types/styled-components\": \"^5.1.9\",\n    \"cypress\": \"^7.5.0\",\n    \"eslint-config-react-app\": \"^6.0.0\",\n    \"eslint-plugin-import\": \"^2.22.1\",\n    \"eslint-plugin-jsx-a11y\": \"^6.4.1\",\n    \"eslint-plugin-react\": \"^7.22.0\",\n    \"eslint\": \"^7.20.0\",\n    \"husky\": \"^5.0.9\",\n    \"prettier\": \"^2.2.1\",\n    \"redux-devtools-extension\": \"^2.13.9\",\n    \"serve\": \"^11.3.2\",\n    \"typescript\": \"^4.1.2\",\n    \"@types/react-transition-group\": \"^4.4.1\",\n    \"@types/react-datepicker\": \"^3.1.8\"\n  }\n}"; };
exports.createPackageJSON = createPackageJSON;
//# sourceMappingURL=createPackageJSON.js.map